<?php
namespace JHodges\GiteaBotPHPUnit;

class ResultPrinter extends \PHPUnit\TextUI\ResultPrinter
{

    public function __construct($out = null, $verbose = false, $colors = self::COLOR_DEFAULT, $debug = false, $numberOfColumns = 80){
	parent::__construct($out, $verbose, $colors , $debug , $numberOfColumns);
    }

    public function printResult(\PHPUnit\Framework\TestResult $result)
    {
$poster=new \JHodges\GiteaBotPHPUnit\Poster('/tmp/testdox.txt','/tmp/logfile.xml');
$poster->post(
	getenv('GiteaUrl'),
	getenv('GiteaUser'),
	getenv('GiteaPass'),
	getenv('GiteaRepoUser'),
	getenv('GiteaRepo')
);
    }

    protected function printHeader()
    {
    }

    public function messageProcessor(array $record)
    {
    }

    public function suiteNameProcessor(array $record)
    {
    }
}
